#pragma once
#include <map>
struct Fish_LargeFishCFG6Data
{
	//key
	int mID;
	//鱼阵名字
	std::string mName;
	//鱼阵ID
	int mGeneratorID;
	//BOSS鱼ID
	int mFishID;
	//提示信息
	std::string mImageInfo;
	//BOSS鱼阵
	bool mIsBoss;
	//声音
	std::string mBackSound;
	//倒计时
	int mDuration;
	//警告时间
	int mWarnTime;
	//刷水时间
	int mFlashTime;
	//死亡时间
	int mDieTime;
};

class Fish_LargeFishCFG6
{
public:
private:
	static std::auto_ptr<Fish_LargeFishCFG6> msSingleton;
public:
	int GetCount();
	const Fish_LargeFishCFG6Data* GetData(int ID);
	const std::map<int, Fish_LargeFishCFG6Data>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_LargeFishCFG6* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_LargeFishCFG6Data> mMapData;
};
